%define  _fontdir  /usr/share/fonts/OTF/japanese-ipaex

Name:     fonts-otf-japanese-ipaex
Version:  00201
Release:  %mkrel 1
Summary:  IPAex Fonts
Summary(ja):  IPAexフォント
Group:    System/Fonts/Open type
License:  IPA Font License v1.0
URL:      http://ossipedia.ipa.go.jp/ipafont/
Source0:  IPAexfont%{version}.tar.xz
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  psiconv
Requires:  %{name}-gothic = %{version}-%{release}
Requires:  %{name}-mincho = %{version}-%{release}
Requires:  %{name}-doc = %{version}-%{release}
Provides:  ipaexfont


%description
IPAex font is strictly following Japanese printing font tradition, namely, Japanese characters (Kanji, Kana and punctuation marks) are full width mono-space pitch, and Western characters are proportional pitch.

This package is the meta package to install IPAex fonts.

%description -l ja
IPAexフォントは「IPA明朝・IPA P明朝」および「IPAゴシック・IPA Pゴシック」をそれぞれ一つのフォントに統合したものです。
和文文字（仮名、漢字、句読点）では等幅書体を、欧文文字ではプロポーショナル書体を使用することを基本としたドキュメント用および印刷用日本語フォントです。

このパッケージは、IPAexフォントをインストールする為のメタパッケージです。
このメタパッケージで以下の2書体がインストールされます。

  - IPAex明朝フォント (Ver.002.01)
  - IPAexゴシックフォント (Ver.002.01)

# --------------------------------------------------------------------- #

%package gothic
Summary:  IPAexGothic Font
Summary(ja):  IPAexゴシックフォント
Group:  System/Fonts/Open type
Requires:  %{name}-doc
Requires(post):   fontconfig, mkfontdir, mkfontscale
Requires(postun): fontconfig, mkfontdir, mkfontscale


%description gothic
This package includes IPAexGothic font.

%description -l ja gothic
このパッケージでは、IPAexゴシックフォント がインストールされます。

# --------------------------------------------------------------------- #

%package mincho
Summary:  IPAexMincho Font
Summary(ja):  IPAex明朝フォント
Group:  System/Fonts/Open type
Requires:  %{name}-doc
Requires(post):   fontconfig, mkfontdir, mkfontscale
Requires(postun): fontconfig, mkfontdir, mkfontscale

%description mincho
This package includes IPAexMincho font.

%description -l ja mincho
このパッケージでは、IPAex明朝フォント がインストールされます。


# --------------------------------------------------------------------- #

%package doc
Summary:  IPAex Font Documents
Summary(ja):  IPAexフォント ドキュメント
Group:  System/Fonts/Open type

%description doc
This package includes important documents for IPAex fonts includes enduser
license.

%description -l ja doc
このパッケージには、IPAexフォント のライセンスを含むドキュメント類が含まれています。

# --------------------------------------------------------------------- #

%prep
%setup -q -n IPAexfont%{version}

## convert character encoding of document
iconv -f Shift_JIS -t UTF-8 Readme_IPAexfont%{version}.txt > Readme_IPAexfont%{version}_utf8.txt


%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_fontdir}
install -p -m 644 *.ttf $RPM_BUILD_ROOT%{_fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_fontdir} \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/otf-japanese-ipaex:pri=50


%clean
rm -rf $RPM_BUILD_ROOT


%post gothic
mkfontscale %{_fontdir}
mkfontdir %{_fontdir}
fc-cache

%post mincho
mkfontscale %{_fontdir}
mkfontdir %{_fontdir}
fc-cache

%postun gothic
mkfontscale %{_fontdir}
mkfontdir %{_fontdir}
fc-cache

%postun mincho
mkfontscale %{_fontdir}
mkfontdir %{_fontdir}
fc-cache


%files

%files gothic
%defattr(-,root,root)
%{_fontdir}/ipaexg.ttf
%{_sysconfdir}/X11/fontpath.d/otf-japanese-ipaex:pri=50

%files mincho
%defattr(-,root,root)
%{_fontdir}/ipaexm.ttf
%{_sysconfdir}/X11/fontpath.d/otf-japanese-ipaex:pri=50

%files doc
%doc *.txt


%changelog
* Wed Nov 13 2013 pinoc <vogtpet at gmail.com> 00201-1pclos2013
- imported from tomcat
